Skip to main content
POST
Create deployment
A deployment binds a model in CoreWeave AI Object Storage (CAIOS) to one or more gateways. Required fields on the request body: name, gatewayIds, runtime, resources, model, autoscaling, and traffic. The available runtime.engine and runtime.version values are returned by GET /v1alpha1/inference/deployments/parameters.
Example request

Autorisations

Authorization
string
header
défaut:Bearer {API_ACCESS_TOKEN}
requis

CoreWeave API access token sent as a bearer token.

Corps

application/json

Request for CreateDeployment

name
string
requis

The name of the deployment

gatewayIds
string[]
requis

The gateways to associate the deployment with

runtime
object
requis

Runtime selection and configuration

resources
object
requis

Resource configuration for the deployment

model
object
requis

The model configuration

autoscaling
object
requis

The autoscaling configuration

traffic
object
requis

The traffic configuration for the deployment

id
string

The unique identifier of the deployment, UUID format

disabled
boolean

Disable the deployment

hotLoad
object

The hot-load configuration for the deployment. Set it to enable checkpoint hot-loading; it is immutable after creation.

Réponse

OK

Response for CreateDeployment

deployment
object

The deployment that was created

Dernière modification le 30 septembre 2026